List AI Gateway budget defaults
GET
https://api.vercel.com/ai-gateway/budgets/defaults/listList the team's AI Gateway budget defaults as a flat per-scope list (one row per team/project/api-key/user scope with a default set). An empty list is a normal state for the dashboard.
https://api.vercel.com/ai-gateway/budgets/defaults/list
const response = await fetch('https://api.vercel.com/ai-gateway/budgets/defaults/list?teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "defaults": [ { "active": "false", "alertThresholds": [], "createdAt": "123", "limitAmount": "123", "refreshPeriod": "daily", "scopeType": "api-key", "updatedAt": "123" } ]}AuthorizationbearerToken
Default authentication mechanism